Bug 1996566 - Manually created invalid Kamelets should be skipped in the eventsources list
Summary: Manually created invalid Kamelets should be skipped in the eventsources list
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.9.0
Assignee: Jaivardhan Kumar
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-23 08:40 UTC by Jaivardhan Kumar
Modified: 2021-10-18 17:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:47:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9851 0 None None None 2021-08-23 08:42:02 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:48:03 UTC

Description Jaivardhan Kumar 2021-08-23 08:40:56 UTC
Description of problem:   
Create an invalid Kamelet of type "source" using create Kamelet button from search page. Visiting the Add flow event sources page breaks the UI with an NPE.

Prerequisites (if any, like setup, operators/versions):  
Openshift Serverless operator + Red Hat camel K Integration

Steps to Reproduce
1.Goto search page, search for Kamelet and click on create Kamlet
2.Add the below label to the metadata field in the pre-populated yaml.  
  labels: camel.apache.org/kamelet.type: "source"
3. Visit the Add -> Event sources page.

Actual results:

UI breaks with following error: 


 Uncaught TypeError: Cannot read property 'title' of undefined
 at useKameletsProvider.ts:22

 
Expected results:  
No errors on UI. (Invalid kamelets must be skipped in the provider list)

Reproducibility (Always/Intermittent/Only Once):
Always

Build Details:  
4.9.0-0.nightly-2021-08-22-005117

Comment 5 errata-xmlrpc 2021-10-18 17:47:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.